<?php
use Incoviba\Controller\API\Inmobiliarias;

$app->group('/inmobiliarias', function($app) {
    $folder = implode(DIRECTORY_SEPARATOR, [__DIR__, 'inmobiliarias']);
    if (file_exists($folder)) {
        $files = new FilesystemIterator($folder);
        foreach ($files as $file) {
            if ($file->isDir()) {
                continue;
            }
            include_once $file->getRealPath();
        }
    }
    $app->get('[/]', Inmobiliarias::class);
});
$app->group('/inmobiliaria/{inmobiliaria_rut}', function($app) {
    $app->post('/proveedores', [Inmobiliarias::class, 'proveedores']);
    $app->get('/cuentas[/]', [Inmobiliarias::class, 'cuentas']);
    $app->get('/proyectos[/]', [Inmobiliarias::class, 'proyectos']);
});
